### Class

# Meta IdleMonitor

#### Description [src]

    final class Meta.IdleMonitor : GObject.Object
    {
      /* No available fields */
    }

Mutter idle counter (similar to X’s IDLETIME).

#### Ancestors

- GObject

#### Instance methods

###### meta_idle_monitor_add_idle_watch

No description available.

###### meta_idle_monitor_add_user_active_watch

No description available.

###### meta_idle_monitor_get_idletime

No description available.

###### meta_idle_monitor_remove_watch

Removes an idle time watcher, previously added by `meta_idle_monitor_add_idle_watch()` or meta_idle_monitor_add_user_active_watch().

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.IdleMonitor:device

The device to listen to idletime on.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaIdleMonitorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.